<?php

namespace handler;

use admin;
use posts;

class IndexHandler extends \RequestHandler {

    public function get(): \Response {
        global $config;

        $page = \pages::getPageByName($config['index_page_id']);
        $this->skin->title = $page->title;
        $this->skin->fixedTitle = true;

        return $this->skin->renderPage('main/page',
            unsafe_html: $page->getHtml($this->isRetina(), \themes::getUserTheme()),
            page_url: $page->getUrl(),
            short_name: $page->shortName);
    }
}

