<?php

require_once __DIR__.'/../init.php';

$r = (new Router())
    //    route                               handler             input
    //    -----                               -------             -----
    ->add('/',                                'index')
    ->add('([a-zA-Z0-9\-]+)/',                'auto               name=$(1)')
    ->add('feed.rss',                         'RSS')
    ->add('about/',                           'about')
    //->add('articles/',                        'articles')
    ->add('articles/write/',                  'admin/post_add')

    // admin
    ->add('admin/',                           'admin/index')
    ->add('admin/{login,logout,log}/',        'admin/${1}')
    ->add('([a-zA-Z0-9\-]+)/{delete,edit}/',  'admin/auto_${1}    short_name=$(1)')
    ->add('([a-zA-Z0-9\-]+)/create/',         'admin/page_add     short_name=$(1)')
    ->add('admin/markdown-preview.ajax',      'admin/markdown_preview')

    ->add('admin/uploads/',                          'admin/uploads')
    ->add('admin/uploads/{edit_note,delete}/(\d+)/', 'admin/upload_${1}  id=$(1)')
;

(new RequestDispatcher($r))->dispatch();