<?php

namespace handler;

use admin;
use posts;

class ArticlesHandler extends \RequestHandler
{

    public function get(): \Response {
        $posts = posts::getPosts(include_hidden: admin::isAdmin());
        //$tags = posts::getAllTags(include_hidden: admin::isAdmin());

        $this->skin->title = \LangData::getInstance()['articles'];
        return $this->skin->renderPage('main/articles',
            posts: $posts);
    }
}